/*

  This file is a part of GRALEPS, a point selection utility to help
  create input data for gravitational lens inversion using GRALE.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#ifndef DISTANCEDIALOGIMPL_H

#define DISTANCEDIALOGIMPL_H

#include "ui_distancedialog4.h"

class DistanceDialogImpl :  public QDialog, private Ui::DistanceDialog
{
	Q_OBJECT;
public:
	DistanceDialogImpl(QWidget *pParent, double Ds, double Dds);
	~DistanceDialogImpl();
	double getDs() const;
	double getDds() const;
};

#endif // DISTANCEDIALOGIMPL_H
